//import from node_modules
import React from "react";
import { render } from "react-dom";
import { HashRouter as Router, Route } from "react-router-dom";
import { Provider } from "react-redux";
import composeReducer from "./compose-reducers";

//import from local file
import PageProxy from "./page-proxy";
import configureStore from "./configure-store";

// import from project
import reducer from "reducers";

var store = configureStore(reducer);

var bootstrap = function bootstrap() {
    render(React.createElement(
        Provider,
        { store: store },
        React.createElement(
            Router,
            null,
            React.createElement(Route, { path: "*", render: function render(props) {
                    return React.createElement(PageProxy, props);
                } })
        )
    ), document.getElementById("bsMain"));
};

bootstrap();

if (module.hot) {
    module.hot.accept("./page-proxy", function () {
        bootstrap();
    });

    module.hot.accept("reducers", function () {
        var reducer = require("reducers").default;
        store.replaceReducer(composeReducer(reducer));
    });
}